Ubuntu 6.06 LTS / 6.10 / 7.04 / 7.10 : samba vulnerability (USN-556-1)

Ubuntu Security Notice (C) 2007-2013 Canonical, Inc. / NASL script (C) 2007-2013 Tenable Network Security, Inc.


Synopsis :

The remote Ubuntu host is missing one or more security-related patches.

Description :

Alin Rad Pop discovered that Samba did not correctly check the size of
reply packets to mailslot requests. If a server was configured with
domain logon enabled, an unauthenticated remote attacker could send a
specially crafted domain logon packet and execute arbitrary code or
crash the Samba service. By default, domain logon is disabled in
Ubuntu.

Solution :

Update the affected packages.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)

Family: Ubuntu Local Security Checks

Nessus Plugin ID: 29738 ()

Bugtraq ID:

CVE ID: CVE-2007-6015